package com.nailabs.abac.process;

import com.nailabs.abac.trust.*;

/** 
 * An interface implemented by any class which needs to propagate 
 * satisfaction state within the context of a trust target graph.
 */
public interface SatisfactionListener {
    /** The method for propagating satisfaction state. */
    public TTGNodeSet receive(TrustTarget target, SatisfactionState state);
}
